package peterson;

/**
 * Een object dat een entry in een queue voorstelt.
 * Een node bevat een kanaal.
 * 
 * @author Pieter van Ede - 3019764 <br /> Wesley Kok - 3019853
 *
 */
public class Node 
{
	private Kanaal kanaal;
	private Node volgende;
	
	/**
	 * Maakt een node aan met een gegeven kanaal.
	 * 
	 * @param kanaal  het kanaal dat in de node moeten worden bewaard
	 */
	public Node (Kanaal kanaal)
	{
		this.kanaal = kanaal;
		this.volgende = null;
	}
	
	/**
	 * Retourneert het kanaal in de node.
	 * 
	 * @return  het in de node opgeslagen kanaal
	 */
	protected Kanaal getKanaal()
	{
		return this.kanaal;
	}
	
	/**
	 * Retourneert de volgende node in de rij. (die na jou in de rij is gezet).
	 * 
	 * @return  de node die na jou in de rij gezet is
	 */
	protected Node getVolgende()
	{
		return this.volgende;
	}
	
	/**
	 * Zet de node die na jou in de rij komt.
	 * 
	 * @param n  node die na jou in de rij komt
	 */
	protected void setVolgende(Node n)
	{
		this.volgende = n;
	}
}
