package peterson;

/**
 * Object dat een queue voorstelt. Onze queue bewaart de head- en de tail-pointer van de queue. 
 * @author Pieter van Ede - 3019764 <br /> Wesley Kok - 3019853 
 */

public class Queue 
{
	private Node head, tail;
	
	/**
	 * Maakt een nieuwe queue. Head en tail zijn beide nog niet gezet.
	 */
	public Queue ()
	{
		this.head = null;
		this.tail = null;
	}
	
	/**
	 * Zet een nieuwe node in de rij. De node bevat het kanaal.
	 * 
	 * @param kanaal  Het kanaal dat in de queue moet worden gezet
	 */
	synchronized protected void enqueue(Kanaal kanaal)
	{
		Node newTail = new Node(kanaal);
		if (tail != null)
			tail.setVolgende(newTail);
		tail = newTail;
		if (head == null)
			head = tail;
	}
	
	/**
	 * Haalt de head van de queue op en zet de node, die na de de head is ingevoerd, 
	 * als nieuwe head. Daarnaast retourneert het het kanaal in de oude head-node.
	 * 
	 * @return  De vorige head van de queue
	 */
	synchronized protected Kanaal dequeue()
	{
		if (head == null)
			return null;
		else
		{
			Kanaal k = head.getKanaal();
			this.head = head.getVolgende();
			return k;
		}
	}
}