package peterson;

/**
 * Verzamelklasse voor handige functies.
 * @author Pieter van Ede - 3019764 <br /> Wesley Kok - 3019853
 */
public class Util 
{
	/**
	 * Print een bepaalde foutmelding als debug aanstaat.
	 * Tevens stopt hij het proces indien aangegeven.
	 * 
	 * @param foutmelding  de te printen foutmelding
	 * @param stop  of het proces gestopt moet worden
	 */
	public static void printDebug(String foutmelding, boolean stop)
	{
		if(GP2.debug)
			System.out.println(foutmelding);
		if (stop)
			stop();
	}

	/**
	 * Print een bepaalde foutmelding.
	 * Tevens stopt hij het proces indien aangegeven.
	 * 
	 * @param foutmelding  de te printen foutmelding
	 * @param stop  of het proces gestopt moet worden
	 */
	public static void printError(String foutmelding, boolean stop)
	{
		System.out.println(foutmelding);
		if (stop)
			stop();
	}
	
	/**
	 * Stopt het programma en wacht met afsluiten tot de gebruiker op enter drukt als elk 
	 * programma een eigen venster heeft.
	 *
	 */
	private static void stop()
	{
		if (!GP2.zelfdeVenster)
		{
			try
			{	
				//	we wachten nu tot de gebruiker op enter drukt om het programma te beeindigen,
				//	om te voorkomen dat anders het venster meteen verdwijnt
				System.out.println("Druk op enter om het programma te beeindigen");
				System.in.read();
			}
			catch(Exception e)	{	}
		}
		System.exit(1);
	}
}